extern	Str15			gRefLeading, gInstantLeading;

void DealWithBuildMouseUp(WindowPtr theWindow, Point thePoint);
void DealWithBuildContentClick(WindowPtr theWindow, Point thePoint);
void DealWithArrowClick(WindowPtr theWindow, short lineNum);
void DoShowHideAll(WindowPtr theWindow, Boolean isShow);
void HighlightLine(TEHandle hTE, short lineNum);
Boolean RefHighlightedQQ(WindowPtr theWindow);
Boolean RefClosedQQ(WindowPtr theWindow);
Boolean AddNameToTE(TEHandle hTE, Str255 theName, Boolean isRef);
void GetHighlightedString(WindowPtr theWindow, Str255 theStr);
short GetNextInstantiationOffset(WindowPtr theWindow);
void GetStringFromLine(WindowPtr theWindow, Str255 theStr, short lineNum);
void GetRefNameFromInstantiation(WindowPtr theWindow, Str255 refName, short *stringIndex);
